"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ElastiCacheClient_1 = require("./ElastiCacheClient");
var AddTagsToResourceCommand_1 = require("./commands/AddTagsToResourceCommand");
var AuthorizeCacheSecurityGroupIngressCommand_1 = require("./commands/AuthorizeCacheSecurityGroupIngressCommand");
var BatchApplyUpdateActionCommand_1 = require("./commands/BatchApplyUpdateActionCommand");
var BatchStopUpdateActionCommand_1 = require("./commands/BatchStopUpdateActionCommand");
var CopySnapshotCommand_1 = require("./commands/CopySnapshotCommand");
var CreateCacheClusterCommand_1 = require("./commands/CreateCacheClusterCommand");
var CreateCacheParameterGroupCommand_1 = require("./commands/CreateCacheParameterGroupCommand");
var CreateCacheSecurityGroupCommand_1 = require("./commands/CreateCacheSecurityGroupCommand");
var CreateCacheSubnetGroupCommand_1 = require("./commands/CreateCacheSubnetGroupCommand");
var CreateReplicationGroupCommand_1 = require("./commands/CreateReplicationGroupCommand");
var CreateSnapshotCommand_1 = require("./commands/CreateSnapshotCommand");
var DecreaseReplicaCountCommand_1 = require("./commands/DecreaseReplicaCountCommand");
var DeleteCacheClusterCommand_1 = require("./commands/DeleteCacheClusterCommand");
var DeleteCacheParameterGroupCommand_1 = require("./commands/DeleteCacheParameterGroupCommand");
var DeleteCacheSecurityGroupCommand_1 = require("./commands/DeleteCacheSecurityGroupCommand");
var DeleteCacheSubnetGroupCommand_1 = require("./commands/DeleteCacheSubnetGroupCommand");
var DeleteReplicationGroupCommand_1 = require("./commands/DeleteReplicationGroupCommand");
var DeleteSnapshotCommand_1 = require("./commands/DeleteSnapshotCommand");
var DescribeCacheClustersCommand_1 = require("./commands/DescribeCacheClustersCommand");
var DescribeCacheEngineVersionsCommand_1 = require("./commands/DescribeCacheEngineVersionsCommand");
var DescribeCacheParameterGroupsCommand_1 = require("./commands/DescribeCacheParameterGroupsCommand");
var DescribeCacheParametersCommand_1 = require("./commands/DescribeCacheParametersCommand");
var DescribeCacheSecurityGroupsCommand_1 = require("./commands/DescribeCacheSecurityGroupsCommand");
var DescribeCacheSubnetGroupsCommand_1 = require("./commands/DescribeCacheSubnetGroupsCommand");
var DescribeEngineDefaultParametersCommand_1 = require("./commands/DescribeEngineDefaultParametersCommand");
var DescribeEventsCommand_1 = require("./commands/DescribeEventsCommand");
var DescribeReplicationGroupsCommand_1 = require("./commands/DescribeReplicationGroupsCommand");
var DescribeReservedCacheNodesCommand_1 = require("./commands/DescribeReservedCacheNodesCommand");
var DescribeReservedCacheNodesOfferingsCommand_1 = require("./commands/DescribeReservedCacheNodesOfferingsCommand");
var DescribeServiceUpdatesCommand_1 = require("./commands/DescribeServiceUpdatesCommand");
var DescribeSnapshotsCommand_1 = require("./commands/DescribeSnapshotsCommand");
var DescribeUpdateActionsCommand_1 = require("./commands/DescribeUpdateActionsCommand");
var IncreaseReplicaCountCommand_1 = require("./commands/IncreaseReplicaCountCommand");
var ListAllowedNodeTypeModificationsCommand_1 = require("./commands/ListAllowedNodeTypeModificationsCommand");
var ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
var ModifyCacheClusterCommand_1 = require("./commands/ModifyCacheClusterCommand");
var ModifyCacheParameterGroupCommand_1 = require("./commands/ModifyCacheParameterGroupCommand");
var ModifyCacheSubnetGroupCommand_1 = require("./commands/ModifyCacheSubnetGroupCommand");
var ModifyReplicationGroupCommand_1 = require("./commands/ModifyReplicationGroupCommand");
var ModifyReplicationGroupShardConfigurationCommand_1 = require("./commands/ModifyReplicationGroupShardConfigurationCommand");
var PurchaseReservedCacheNodesOfferingCommand_1 = require("./commands/PurchaseReservedCacheNodesOfferingCommand");
var RebootCacheClusterCommand_1 = require("./commands/RebootCacheClusterCommand");
var RemoveTagsFromResourceCommand_1 = require("./commands/RemoveTagsFromResourceCommand");
var ResetCacheParameterGroupCommand_1 = require("./commands/ResetCacheParameterGroupCommand");
var RevokeCacheSecurityGroupIngressCommand_1 = require("./commands/RevokeCacheSecurityGroupIngressCommand");
var TestFailoverCommand_1 = require("./commands/TestFailoverCommand");
var ElastiCache = /** @class */ (function (_super) {
    tslib_1.__extends(ElastiCache, _super);
    function ElastiCache() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ElastiCache.prototype.addTagsToResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AddTagsToResourceCommand_1.AddTagsToResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.authorizeCacheSecurityGroupIngress = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AuthorizeCacheSecurityGroupIngressCommand_1.AuthorizeCacheSecurityGroupIngressCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.batchApplyUpdateAction = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchApplyUpdateActionCommand_1.BatchApplyUpdateActionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.batchStopUpdateAction = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchStopUpdateActionCommand_1.BatchStopUpdateActionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.copySnapshot = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CopySnapshotCommand_1.CopySnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.createCacheCluster = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateCacheClusterCommand_1.CreateCacheClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.createCacheParameterGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateCacheParameterGroupCommand_1.CreateCacheParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.createCacheSecurityGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateCacheSecurityGroupCommand_1.CreateCacheSecurityGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.createCacheSubnetGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateCacheSubnetGroupCommand_1.CreateCacheSubnetGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.createReplicationGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateReplicationGroupCommand_1.CreateReplicationGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.createSnapshot = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateSnapshotCommand_1.CreateSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.decreaseReplicaCount = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DecreaseReplicaCountCommand_1.DecreaseReplicaCountCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.deleteCacheCluster = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteCacheClusterCommand_1.DeleteCacheClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.deleteCacheParameterGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteCacheParameterGroupCommand_1.DeleteCacheParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.deleteCacheSecurityGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteCacheSecurityGroupCommand_1.DeleteCacheSecurityGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.deleteCacheSubnetGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteCacheSubnetGroupCommand_1.DeleteCacheSubnetGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.deleteReplicationGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteReplicationGroupCommand_1.DeleteReplicationGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.deleteSnapshot = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteSnapshotCommand_1.DeleteSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.describeCacheClusters = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeCacheClustersCommand_1.DescribeCacheClustersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.describeCacheEngineVersions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeCacheEngineVersionsCommand_1.DescribeCacheEngineVersionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.describeCacheParameterGroups = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeCacheParameterGroupsCommand_1.DescribeCacheParameterGroupsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.describeCacheParameters = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeCacheParametersCommand_1.DescribeCacheParametersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.describeCacheSecurityGroups = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeCacheSecurityGroupsCommand_1.DescribeCacheSecurityGroupsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.describeCacheSubnetGroups = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeCacheSubnetGroupsCommand_1.DescribeCacheSubnetGroupsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.describeEngineDefaultParameters = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeEngineDefaultParametersCommand_1.DescribeEngineDefaultParametersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.describeEvents = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeEventsCommand_1.DescribeEventsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.describeReplicationGroups = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeReplicationGroupsCommand_1.DescribeReplicationGroupsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.describeReservedCacheNodes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeReservedCacheNodesCommand_1.DescribeReservedCacheNodesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.describeReservedCacheNodesOfferings = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeReservedCacheNodesOfferingsCommand_1.DescribeReservedCacheNodesOfferingsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.describeServiceUpdates = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeServiceUpdatesCommand_1.DescribeServiceUpdatesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.describeSnapshots = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeSnapshotsCommand_1.DescribeSnapshotsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.describeUpdateActions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeUpdateActionsCommand_1.DescribeUpdateActionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.increaseReplicaCount = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new IncreaseReplicaCountCommand_1.IncreaseReplicaCountCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.listAllowedNodeTypeModifications = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListAllowedNodeTypeModificationsCommand_1.ListAllowedNodeTypeModificationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.listTagsForResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTagsForResourceCommand_1.ListTagsForResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.modifyCacheCluster = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyCacheClusterCommand_1.ModifyCacheClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.modifyCacheParameterGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyCacheParameterGroupCommand_1.ModifyCacheParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.modifyCacheSubnetGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyCacheSubnetGroupCommand_1.ModifyCacheSubnetGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.modifyReplicationGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyReplicationGroupCommand_1.ModifyReplicationGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.modifyReplicationGroupShardConfiguration = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyReplicationGroupShardConfigurationCommand_1.ModifyReplicationGroupShardConfigurationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.purchaseReservedCacheNodesOffering = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PurchaseReservedCacheNodesOfferingCommand_1.PurchaseReservedCacheNodesOfferingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.rebootCacheCluster = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RebootCacheClusterCommand_1.RebootCacheClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.removeTagsFromResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RemoveTagsFromResourceCommand_1.RemoveTagsFromResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.resetCacheParameterGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ResetCacheParameterGroupCommand_1.ResetCacheParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.revokeCacheSecurityGroupIngress = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RevokeCacheSecurityGroupIngressCommand_1.RevokeCacheSecurityGroupIngressCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElastiCache.prototype.testFailover = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TestFailoverCommand_1.TestFailoverCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return ElastiCache;
}(ElastiCacheClient_1.ElastiCacheClient));
exports.ElastiCache = ElastiCache;
//# sourceMappingURL=ElastiCache.js.map