"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateCacheCluster_1 = require("../model/operations/CreateCacheCluster");
var CreateCacheClusterCommand = /** @class */ (function () {
    function CreateCacheClusterCommand(input) {
        this.input = input;
        this.model = CreateCacheCluster_1.CreateCacheCluster;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateCacheClusterCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateCacheClusterCommand;
}());
exports.CreateCacheClusterCommand = CreateCacheClusterCommand;
//# sourceMappingURL=CreateCacheClusterCommand.js.map