"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateReplicationGroup_1 = require("../model/operations/CreateReplicationGroup");
var CreateReplicationGroupCommand = /** @class */ (function () {
    function CreateReplicationGroupCommand(input) {
        this.input = input;
        this.model = CreateReplicationGroup_1.CreateReplicationGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateReplicationGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateReplicationGroupCommand;
}());
exports.CreateReplicationGroupCommand = CreateReplicationGroupCommand;
//# sourceMappingURL=CreateReplicationGroupCommand.js.map