"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteReplicationGroup_1 = require("../model/operations/DeleteReplicationGroup");
var DeleteReplicationGroupCommand = /** @class */ (function () {
    function DeleteReplicationGroupCommand(input) {
        this.input = input;
        this.model = DeleteReplicationGroup_1.DeleteReplicationGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteReplicationGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteReplicationGroupCommand;
}());
exports.DeleteReplicationGroupCommand = DeleteReplicationGroupCommand;
//# sourceMappingURL=DeleteReplicationGroupCommand.js.map