"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeCacheEngineVersions_1 = require("../model/operations/DescribeCacheEngineVersions");
var DescribeCacheEngineVersionsCommand = /** @class */ (function () {
    function DescribeCacheEngineVersionsCommand(input) {
        this.input = input;
        this.model = DescribeCacheEngineVersions_1.DescribeCacheEngineVersions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeCacheEngineVersionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeCacheEngineVersionsCommand;
}());
exports.DescribeCacheEngineVersionsCommand = DescribeCacheEngineVersionsCommand;
//# sourceMappingURL=DescribeCacheEngineVersionsCommand.js.map