"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var IncreaseReplicaCount_1 = require("../model/operations/IncreaseReplicaCount");
var IncreaseReplicaCountCommand = /** @class */ (function () {
    function IncreaseReplicaCountCommand(input) {
        this.input = input;
        this.model = IncreaseReplicaCount_1.IncreaseReplicaCount;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    IncreaseReplicaCountCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return IncreaseReplicaCountCommand;
}());
exports.IncreaseReplicaCountCommand = IncreaseReplicaCountCommand;
//# sourceMappingURL=IncreaseReplicaCountCommand.js.map