"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AuthorizeCacheSecurityGroupIngressInput_1 = require("../shapes/AuthorizeCacheSecurityGroupIngressInput");
var AuthorizeCacheSecurityGroupIngressOutput_1 = require("../shapes/AuthorizeCacheSecurityGroupIngressOutput");
var CacheSecurityGroupNotFoundFault_1 = require("../shapes/CacheSecurityGroupNotFoundFault");
var InvalidCacheSecurityGroupStateFault_1 = require("../shapes/InvalidCacheSecurityGroupStateFault");
var AuthorizationAlreadyExistsFault_1 = require("../shapes/AuthorizationAlreadyExistsFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AuthorizeCacheSecurityGroupIngress = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AuthorizeCacheSecurityGroupIngress",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AuthorizeCacheSecurityGroupIngressInput_1.AuthorizeCacheSecurityGroupIngressInput
    },
    output: {
        shape: AuthorizeCacheSecurityGroupIngressOutput_1.AuthorizeCacheSecurityGroupIngressOutput,
        resultWrapper: "AuthorizeCacheSecurityGroupIngressResult"
    },
    errors: [
        {
            shape: CacheSecurityGroupNotFoundFault_1.CacheSecurityGroupNotFoundFault
        },
        {
            shape: InvalidCacheSecurityGroupStateFault_1.InvalidCacheSecurityGroupStateFault
        },
        {
            shape: AuthorizationAlreadyExistsFault_1.AuthorizationAlreadyExistsFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=AuthorizeCacheSecurityGroupIngress.js.map