"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateCacheSecurityGroupInput_1 = require("../shapes/CreateCacheSecurityGroupInput");
var CreateCacheSecurityGroupOutput_1 = require("../shapes/CreateCacheSecurityGroupOutput");
var CacheSecurityGroupAlreadyExistsFault_1 = require("../shapes/CacheSecurityGroupAlreadyExistsFault");
var CacheSecurityGroupQuotaExceededFault_1 = require("../shapes/CacheSecurityGroupQuotaExceededFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateCacheSecurityGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateCacheSecurityGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateCacheSecurityGroupInput_1.CreateCacheSecurityGroupInput
    },
    output: {
        shape: CreateCacheSecurityGroupOutput_1.CreateCacheSecurityGroupOutput,
        resultWrapper: "CreateCacheSecurityGroupResult"
    },
    errors: [
        {
            shape: CacheSecurityGroupAlreadyExistsFault_1.CacheSecurityGroupAlreadyExistsFault
        },
        {
            shape: CacheSecurityGroupQuotaExceededFault_1.CacheSecurityGroupQuotaExceededFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=CreateCacheSecurityGroup.js.map