"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateReplicationGroupInput_1 = require("../shapes/CreateReplicationGroupInput");
var CreateReplicationGroupOutput_1 = require("../shapes/CreateReplicationGroupOutput");
var CacheClusterNotFoundFault_1 = require("../shapes/CacheClusterNotFoundFault");
var InvalidCacheClusterStateFault_1 = require("../shapes/InvalidCacheClusterStateFault");
var ReplicationGroupAlreadyExistsFault_1 = require("../shapes/ReplicationGroupAlreadyExistsFault");
var InsufficientCacheClusterCapacityFault_1 = require("../shapes/InsufficientCacheClusterCapacityFault");
var CacheSecurityGroupNotFoundFault_1 = require("../shapes/CacheSecurityGroupNotFoundFault");
var CacheSubnetGroupNotFoundFault_1 = require("../shapes/CacheSubnetGroupNotFoundFault");
var ClusterQuotaForCustomerExceededFault_1 = require("../shapes/ClusterQuotaForCustomerExceededFault");
var NodeQuotaForClusterExceededFault_1 = require("../shapes/NodeQuotaForClusterExceededFault");
var NodeQuotaForCustomerExceededFault_1 = require("../shapes/NodeQuotaForCustomerExceededFault");
var CacheParameterGroupNotFoundFault_1 = require("../shapes/CacheParameterGroupNotFoundFault");
var InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
var TagQuotaPerResourceExceeded_1 = require("../shapes/TagQuotaPerResourceExceeded");
var NodeGroupsPerReplicationGroupQuotaExceededFault_1 = require("../shapes/NodeGroupsPerReplicationGroupQuotaExceededFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateReplicationGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateReplicationGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateReplicationGroupInput_1.CreateReplicationGroupInput
    },
    output: {
        shape: CreateReplicationGroupOutput_1.CreateReplicationGroupOutput,
        resultWrapper: "CreateReplicationGroupResult"
    },
    errors: [
        {
            shape: CacheClusterNotFoundFault_1.CacheClusterNotFoundFault
        },
        {
            shape: InvalidCacheClusterStateFault_1.InvalidCacheClusterStateFault
        },
        {
            shape: ReplicationGroupAlreadyExistsFault_1.ReplicationGroupAlreadyExistsFault
        },
        {
            shape: InsufficientCacheClusterCapacityFault_1.InsufficientCacheClusterCapacityFault
        },
        {
            shape: CacheSecurityGroupNotFoundFault_1.CacheSecurityGroupNotFoundFault
        },
        {
            shape: CacheSubnetGroupNotFoundFault_1.CacheSubnetGroupNotFoundFault
        },
        {
            shape: ClusterQuotaForCustomerExceededFault_1.ClusterQuotaForCustomerExceededFault
        },
        {
            shape: NodeQuotaForClusterExceededFault_1.NodeQuotaForClusterExceededFault
        },
        {
            shape: NodeQuotaForCustomerExceededFault_1.NodeQuotaForCustomerExceededFault
        },
        {
            shape: CacheParameterGroupNotFoundFault_1.CacheParameterGroupNotFoundFault
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: TagQuotaPerResourceExceeded_1.TagQuotaPerResourceExceeded
        },
        {
            shape: NodeGroupsPerReplicationGroupQuotaExceededFault_1.NodeGroupsPerReplicationGroupQuotaExceededFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=CreateReplicationGroup.js.map