"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateSnapshotInput_1 = require("../shapes/CreateSnapshotInput");
var CreateSnapshotOutput_1 = require("../shapes/CreateSnapshotOutput");
var SnapshotAlreadyExistsFault_1 = require("../shapes/SnapshotAlreadyExistsFault");
var CacheClusterNotFoundFault_1 = require("../shapes/CacheClusterNotFoundFault");
var ReplicationGroupNotFoundFault_1 = require("../shapes/ReplicationGroupNotFoundFault");
var InvalidCacheClusterStateFault_1 = require("../shapes/InvalidCacheClusterStateFault");
var InvalidReplicationGroupStateFault_1 = require("../shapes/InvalidReplicationGroupStateFault");
var SnapshotQuotaExceededFault_1 = require("../shapes/SnapshotQuotaExceededFault");
var SnapshotFeatureNotSupportedFault_1 = require("../shapes/SnapshotFeatureNotSupportedFault");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateSnapshot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateSnapshot",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateSnapshotInput_1.CreateSnapshotInput
    },
    output: {
        shape: CreateSnapshotOutput_1.CreateSnapshotOutput,
        resultWrapper: "CreateSnapshotResult"
    },
    errors: [
        {
            shape: SnapshotAlreadyExistsFault_1.SnapshotAlreadyExistsFault
        },
        {
            shape: CacheClusterNotFoundFault_1.CacheClusterNotFoundFault
        },
        {
            shape: ReplicationGroupNotFoundFault_1.ReplicationGroupNotFoundFault
        },
        {
            shape: InvalidCacheClusterStateFault_1.InvalidCacheClusterStateFault
        },
        {
            shape: InvalidReplicationGroupStateFault_1.InvalidReplicationGroupStateFault
        },
        {
            shape: SnapshotQuotaExceededFault_1.SnapshotQuotaExceededFault
        },
        {
            shape: SnapshotFeatureNotSupportedFault_1.SnapshotFeatureNotSupportedFault
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        }
    ]
};
//# sourceMappingURL=CreateSnapshot.js.map