"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteCacheParameterGroupInput_1 = require("../shapes/DeleteCacheParameterGroupInput");
var DeleteCacheParameterGroupOutput_1 = require("../shapes/DeleteCacheParameterGroupOutput");
var InvalidCacheParameterGroupStateFault_1 = require("../shapes/InvalidCacheParameterGroupStateFault");
var CacheParameterGroupNotFoundFault_1 = require("../shapes/CacheParameterGroupNotFoundFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteCacheParameterGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteCacheParameterGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteCacheParameterGroupInput_1.DeleteCacheParameterGroupInput
    },
    output: {
        shape: DeleteCacheParameterGroupOutput_1.DeleteCacheParameterGroupOutput
    },
    errors: [
        {
            shape: InvalidCacheParameterGroupStateFault_1.InvalidCacheParameterGroupStateFault
        },
        {
            shape: CacheParameterGroupNotFoundFault_1.CacheParameterGroupNotFoundFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=DeleteCacheParameterGroup.js.map