"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteCacheSecurityGroupInput_1 = require("../shapes/DeleteCacheSecurityGroupInput");
var DeleteCacheSecurityGroupOutput_1 = require("../shapes/DeleteCacheSecurityGroupOutput");
var InvalidCacheSecurityGroupStateFault_1 = require("../shapes/InvalidCacheSecurityGroupStateFault");
var CacheSecurityGroupNotFoundFault_1 = require("../shapes/CacheSecurityGroupNotFoundFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteCacheSecurityGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteCacheSecurityGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteCacheSecurityGroupInput_1.DeleteCacheSecurityGroupInput
    },
    output: {
        shape: DeleteCacheSecurityGroupOutput_1.DeleteCacheSecurityGroupOutput
    },
    errors: [
        {
            shape: InvalidCacheSecurityGroupStateFault_1.InvalidCacheSecurityGroupStateFault
        },
        {
            shape: CacheSecurityGroupNotFoundFault_1.CacheSecurityGroupNotFoundFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=DeleteCacheSecurityGroup.js.map