"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ModifyCacheSubnetGroupInput_1 = require("../shapes/ModifyCacheSubnetGroupInput");
var ModifyCacheSubnetGroupOutput_1 = require("../shapes/ModifyCacheSubnetGroupOutput");
var CacheSubnetGroupNotFoundFault_1 = require("../shapes/CacheSubnetGroupNotFoundFault");
var CacheSubnetQuotaExceededFault_1 = require("../shapes/CacheSubnetQuotaExceededFault");
var SubnetInUse_1 = require("../shapes/SubnetInUse");
var InvalidSubnet_1 = require("../shapes/InvalidSubnet");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyCacheSubnetGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyCacheSubnetGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyCacheSubnetGroupInput_1.ModifyCacheSubnetGroupInput
    },
    output: {
        shape: ModifyCacheSubnetGroupOutput_1.ModifyCacheSubnetGroupOutput,
        resultWrapper: "ModifyCacheSubnetGroupResult"
    },
    errors: [
        {
            shape: CacheSubnetGroupNotFoundFault_1.CacheSubnetGroupNotFoundFault
        },
        {
            shape: CacheSubnetQuotaExceededFault_1.CacheSubnetQuotaExceededFault
        },
        {
            shape: SubnetInUse_1.SubnetInUse
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        }
    ]
};
//# sourceMappingURL=ModifyCacheSubnetGroup.js.map