"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ModifyReplicationGroupInput_1 = require("../shapes/ModifyReplicationGroupInput");
var ModifyReplicationGroupOutput_1 = require("../shapes/ModifyReplicationGroupOutput");
var ReplicationGroupNotFoundFault_1 = require("../shapes/ReplicationGroupNotFoundFault");
var InvalidReplicationGroupStateFault_1 = require("../shapes/InvalidReplicationGroupStateFault");
var InvalidCacheClusterStateFault_1 = require("../shapes/InvalidCacheClusterStateFault");
var InvalidCacheSecurityGroupStateFault_1 = require("../shapes/InvalidCacheSecurityGroupStateFault");
var InsufficientCacheClusterCapacityFault_1 = require("../shapes/InsufficientCacheClusterCapacityFault");
var CacheClusterNotFoundFault_1 = require("../shapes/CacheClusterNotFoundFault");
var NodeQuotaForClusterExceededFault_1 = require("../shapes/NodeQuotaForClusterExceededFault");
var NodeQuotaForCustomerExceededFault_1 = require("../shapes/NodeQuotaForCustomerExceededFault");
var CacheSecurityGroupNotFoundFault_1 = require("../shapes/CacheSecurityGroupNotFoundFault");
var CacheParameterGroupNotFoundFault_1 = require("../shapes/CacheParameterGroupNotFoundFault");
var InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyReplicationGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyReplicationGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyReplicationGroupInput_1.ModifyReplicationGroupInput
    },
    output: {
        shape: ModifyReplicationGroupOutput_1.ModifyReplicationGroupOutput,
        resultWrapper: "ModifyReplicationGroupResult"
    },
    errors: [
        {
            shape: ReplicationGroupNotFoundFault_1.ReplicationGroupNotFoundFault
        },
        {
            shape: InvalidReplicationGroupStateFault_1.InvalidReplicationGroupStateFault
        },
        {
            shape: InvalidCacheClusterStateFault_1.InvalidCacheClusterStateFault
        },
        {
            shape: InvalidCacheSecurityGroupStateFault_1.InvalidCacheSecurityGroupStateFault
        },
        {
            shape: InsufficientCacheClusterCapacityFault_1.InsufficientCacheClusterCapacityFault
        },
        {
            shape: CacheClusterNotFoundFault_1.CacheClusterNotFoundFault
        },
        {
            shape: NodeQuotaForClusterExceededFault_1.NodeQuotaForClusterExceededFault
        },
        {
            shape: NodeQuotaForCustomerExceededFault_1.NodeQuotaForCustomerExceededFault
        },
        {
            shape: CacheSecurityGroupNotFoundFault_1.CacheSecurityGroupNotFoundFault
        },
        {
            shape: CacheParameterGroupNotFoundFault_1.CacheParameterGroupNotFoundFault
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=ModifyReplicationGroup.js.map