"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RebootCacheClusterInput_1 = require("../shapes/RebootCacheClusterInput");
var RebootCacheClusterOutput_1 = require("../shapes/RebootCacheClusterOutput");
var InvalidCacheClusterStateFault_1 = require("../shapes/InvalidCacheClusterStateFault");
var CacheClusterNotFoundFault_1 = require("../shapes/CacheClusterNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RebootCacheCluster = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RebootCacheCluster",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RebootCacheClusterInput_1.RebootCacheClusterInput
    },
    output: {
        shape: RebootCacheClusterOutput_1.RebootCacheClusterOutput,
        resultWrapper: "RebootCacheClusterResult"
    },
    errors: [
        {
            shape: InvalidCacheClusterStateFault_1.InvalidCacheClusterStateFault
        },
        {
            shape: CacheClusterNotFoundFault_1.CacheClusterNotFoundFault
        }
    ]
};
//# sourceMappingURL=RebootCacheCluster.js.map