"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TestFailoverInput_1 = require("../shapes/TestFailoverInput");
var TestFailoverOutput_1 = require("../shapes/TestFailoverOutput");
var APICallRateForCustomerExceededFault_1 = require("../shapes/APICallRateForCustomerExceededFault");
var InvalidCacheClusterStateFault_1 = require("../shapes/InvalidCacheClusterStateFault");
var InvalidReplicationGroupStateFault_1 = require("../shapes/InvalidReplicationGroupStateFault");
var NodeGroupNotFoundFault_1 = require("../shapes/NodeGroupNotFoundFault");
var ReplicationGroupNotFoundFault_1 = require("../shapes/ReplicationGroupNotFoundFault");
var TestFailoverNotAvailableFault_1 = require("../shapes/TestFailoverNotAvailableFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.TestFailover = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TestFailover",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: TestFailoverInput_1.TestFailoverInput
    },
    output: {
        shape: TestFailoverOutput_1.TestFailoverOutput,
        resultWrapper: "TestFailoverResult"
    },
    errors: [
        {
            shape: APICallRateForCustomerExceededFault_1.APICallRateForCustomerExceededFault
        },
        {
            shape: InvalidCacheClusterStateFault_1.InvalidCacheClusterStateFault
        },
        {
            shape: InvalidReplicationGroupStateFault_1.InvalidReplicationGroupStateFault
        },
        {
            shape: NodeGroupNotFoundFault_1.NodeGroupNotFoundFault
        },
        {
            shape: ReplicationGroupNotFoundFault_1.ReplicationGroupNotFoundFault
        },
        {
            shape: TestFailoverNotAvailableFault_1.TestFailoverNotAvailableFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=TestFailover.js.map